Bug 852778 - Review Request: clutter-gst2 - GStreamer integration for Clutter
Review Request: clutter-gst2 - GStreamer integration for Clutter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 10:57 EDT by Kalev Lember
Modified: 2015-03-03 18:05 EST (History)
5 users (show)

See Also:
Fixed In Version: clutter-gst2-1.9.90-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-22 03:16:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tbzatek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2012-08-29 10:57:25 EDT
Spec URL: http://kalev.fedorapeople.org/clutter-gst2.spec
SRPM URL: http://kalev.fedorapeople.org/clutter-gst2-1.9.90-1.fc19.src.rpm
Description:
Clutter is an open source software library for creating fast, visually
rich and animated graphical user interfaces.

Clutter GStreamer enables the use of GStreamer with Clutter.

Fedora Account System Username: kalev
Comment 1 Kalev Lember 2012-08-29 11:07:40 EDT
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4434540
Comment 2 Tomáš Bžatek 2012-08-30 05:43:19 EDT
> MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
rpmlint is clean except one warning:
clutter-gst2-devel.x86_64: W: no-documentation
This is however explained in the spec file and is actually correct for the moment. Please don't forget to include documentation when conflicts are resolved.
> MUST: The package must be named according to the Package Naming Guidelines
Ok
> MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
Ok
> MUST: The package must meet the Packaging Guidelines
Ok, the spec file is pretty formatted and clean
> MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines
Ok, LGPLv2+
> MUST: The License field in the package spec file must match the actual license
Ok, licence matches
> MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
Ok
> MUST: The spec file must be written in American English
Ok
> MUST: The spec file for the package MUST be legible.
Ok
> MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
Ok, downloaded the source tarball and checked
> MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Ok, compiles fine on fresh rawhide on x86-64
> MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
Not needed
> MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
BRs look sane, suggesting to add standard tools like libtool and perhaps also version requirements. It's not needed for the moment given the dependencies are new major releases with stable API and version requirements are usually added for further versions as needed.
> MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
No locales present, this is a library
> MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
Ok, calls are present
> MUST: Packages must NOT bundle copies of system libraries.
Ok
> MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker
Ok, not the case
> MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
Ok, seems to be not needed
> MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
Ok
> MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
Ok
> MUST: Each package must consistently use macros.
Ok
> MUST: The package must contain code, or permissable content.
Ok
> MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
Ok, not needed
> MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
Ok
> MUST: Static libraries must be in a -static package.
Ok, not present
> MUST: Development files must be in a -devel package.
Ok
> MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
Ok, the require is present
> MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
Ok
> MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
Ok, not needed
> MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
Ok, correct
> MUST: All filenames in rpm packages must be valid UTF-8.
Ok
Comment 3 Tomáš Bžatek 2012-08-30 05:54:25 EDT
Package compiles fine on local system as well as in Koji (scratch build): http://koji.fedoraproject.org/koji/taskinfo?taskID=4437079

Packages install without conflicts on a rawhide system.

This package is APPROVED.
Comment 4 Kalev Lember 2012-08-30 08:57:19 EDT
Thanks for the review, Tomáš!
Comment 5 Kalev Lember 2012-08-30 09:43:53 EDT
New Package SCM Request
=======================
Package Name: clutter-gst2
Short Description: GStreamer integration for Clutter
Owners: kalev
Branches: f18
InitialCC:
Comment 6 Gwyn Ciesla 2012-08-30 09:58:03 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.